TLM-2.0: tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF > Class Template Reference

# tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF > Class Template Reference

`#include <tlm_target_socket.h>`

List of all members.

## Public Member Functions
virtual | ~tlm_base_target_socket_b ()
virtual sc_core::sc_port_b < BW_IF > & | get_base_port ()=0
virtual sc_core::sc_export < FW_IF > & | get_base_export ()=0
virtual FW_IF & | get_base_interface ()=0

## Detailed Description

### template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>>
class tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >

Definition at line 30 of file tlm_target_socket.h.

## Constructor & Destructor Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>>

virtual tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >::~tlm_base_target_socket_b | ( |  | ) | `[inline, virtual]`

Definition at line 33 of file tlm_target_socket.h.

## Member Function Documentation

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>>

virtual sc_core::sc_export<FW_IF>& tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >::get_base_export | ( |  | ) | `[pure virtual]`

Implemented in tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >, tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >, tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, N,POL >, and tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>>

virtual FW_IF& tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >::get_base_interface | ( |  | ) | `[pure virtual]`

Implemented in tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >, tlm_utils::multi_passthrough_target_socket< MODULE, BUSWIDTH, TYPES, N, POL >, tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, N,POL >, and tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

template<unsigned int BUSWIDTH = 32, typename FW_IF = tlm_fw_transport_if<>, typename BW_IF = tlm_bw_transport_if<>>

virtual sc_core::sc_port_b<BW_IF>& tlm::tlm_base_target_socket_b< BUSWIDTH, FW_IF, BW_IF >::get_base_port | ( |  | ) | `[pure virtual]`

Implemented in tlm::tlm_base_target_socket< BUSWIDTH, FW_IF, BW_IF, N, POL >, tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, N,POL >, and tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, 1,sc_core::SC_ONE_OR_MORE_BOUND >.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_sockets/tlm_target_socket.h